/*
*   EPT_SineTool.h - Library for the
*   DAC 8 Bit Sine Wave Tool. 
*   created by Earth People Technology Inc. February 6, 2019
*/

#ifndef EPT_SineTool_h
#define EPT_SineTool_h

#include "Arduino.h"

#define EIGHT_BIT_DATA    1
#define TEN_BIT_DATA      2
#define TWELVE_BIT_DATA   3
#define SIXTEEN_BIT_DATA  4


    void EPT_SineToolInit();
	  unsigned char EPT_SineToolData(unsigned char index);
    unsigned char EPT_SineToolDelay(unsigned int delayClockTicks);

#endif
